Add Admin
curl --request POST \
--url https://api.cadanapay.com/v1/users/admins \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "admin@example.com",
"firstName": "Jane",
"lastName": "Smith",
"roleId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"suppressWelcomeEmail": false
}
'import requests
url = "https://api.cadanapay.com/v1/users/admins"
payload = {
"email": "admin@example.com",
"firstName": "Jane",
"lastName": "Smith",
"roleId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"suppressWelcomeEmail": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'admin@example.com',
firstName: 'Jane',
lastName: 'Smith',
roleId: '8ef9a712-cdae-4110-b1ea-9ba95abbee6e',
suppressWelcomeEmail: false
})
};
fetch('https://api.cadanapay.com/v1/users/admins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Users
Add Admin
Add an admin to the business account
POST
/
v1
/
users
/
admins
Add Admin
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Body
application/json
Add admin user request payload
Example:
"admin@example.com"
Example:
"Jane"
Example:
"Smith"
Example:
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
Whether you want to suppress the welcome email with the sign up link
Response
add admin user response
Add admin user response
Example:
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
⌘I